# Class HierarchicalAgglomerativeClusterer

java.lang.Object
ch.usi.inf.sape.hac.HierarchicalAgglomerativeClusterer

public final class HierarchicalAgglomerativeClusterer extends Object
The HierarchicalAgglomerativeClusterer creates a hierarchical agglomerative clustering.

    Experiment experiment = ...;
    DissimilarityMeasure dissimilarityMeasure = ...;
    AgglomerationMethod agglomerationMethod = ...;
    DendrogramBuilder dendrogramBuilder = new DendrogramBuilder(experiment.getNumberOfObservations());
    HierarchicalAgglomerativeClusterer clusterer = new HierarchicalAgglomerativeClusterer(experiment, dissimilarityMeasure, agglomerationMethod);
    clusterer.cluster(dendrogramBuilder);
    Dendrogram dendrogram = dendrogramBuilder.getDendrogram();

## Constructor Summary

Constructors
Constructor
Description
`HierarchicalAgglomerativeClusterer(Experiment experiment, DissimilarityMeasure dissimilarityMeasure, AgglomerationMethod agglomerationMethod)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cluster(ClusteringBuilder clusteringBuilder)`
`AgglomerationMethod`
`getAgglomerationMethod()`
`DissimilarityMeasure`
`getDissimilarityMeasure()`
`Experiment`
`getExperiment()`
`void`
`setAgglomerationMethod(AgglomerationMethod agglomerationMethod)`
`void`
`setDissimilarityMeasure(DissimilarityMeasure dissimilarityMeasure)`
`void`
`setExperiment(Experiment experiment)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HierarchicalAgglomerativeClusterer

public HierarchicalAgglomerativeClusterer(Experiment experiment, DissimilarityMeasure dissimilarityMeasure, AgglomerationMethod agglomerationMethod)

## Method Details

### setExperiment

public void setExperiment(Experiment experiment)

### getExperiment

public Experiment getExperiment()

### setDissimilarityMeasure

public void setDissimilarityMeasure(DissimilarityMeasure dissimilarityMeasure)

### getDissimilarityMeasure

public DissimilarityMeasure getDissimilarityMeasure()

### setAgglomerationMethod

public void setAgglomerationMethod(AgglomerationMethod agglomerationMethod)

### getAgglomerationMethod

public AgglomerationMethod getAgglomerationMethod()

### cluster

public void cluster(ClusteringBuilder clusteringBuilder)